Bug 191043 - Unable to mount IDE hard drive EXT3 partition after FC5 install
Unable to mount IDE hard drive EXT3 partition after FC5 install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 09:04 EDT by Brian Hanks
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.17-1.2139_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-25 10:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Hanks 2006-05-08 09:04:43 EDT
Description of problem:
After installing FC5, I am unable to mount a secondary IDE EXT3 hard drive
partition (/dev/hde1).  


Version-Release number of selected component (if applicable):
>= 2.6.15-1.2054
Currently using 2.6.16-1.2111

How reproducible:
I've reproduced on two machines.


Steps to Reproduce:
1.  Have a secondary IDE drive in the machine with backups of previous data
files from FC4, in this case hanging off of a HPT302 IDE controller card as
/dev/hde.
2.  Install FC5 on two SATA drives (sda & sdb) utilizing RAID1 and LVM for
everything except /boot (std EXT3), / (std RAID1), and /var (std RAID1).
3.  After install attempt mounting.
  
Actual results:
Will not mount unless utilizing a work around.

Expected results:
Should mount without problem as has previously by issuing a std mount command
(mount -t ext3 /dev/hde1 /mnt/bckup_40).

Additional info:
1.  Work around is to issue the "partprobe /dev/hde" command.  Then, mount
through a loop device.
2.  This partition mounts in FC4 and Knoppix on the same machine.  
3.  The /sys/block/hde/hde1 entry is missing.  
4.  Attempting to mount the /dev/hde1 partition results in mount returning ENXIO
- "Not a valid block device".  
5.  Running partprobe will create the /sys/block/hde/hde1 entry, but mounting
still fails with mount returning EBUSY.
Comment 1 Brian Hanks 2006-06-25 09:59:42 EDT
Following the upgrade to 2.6.17-1.2139_FC5, this is fixed.  I'm not sure what
changed, but it's working.

Note You need to log in before you can comment on or make changes to this bug.